org.apache.mina.codec.delimited

## Class ProtobufDecoder<OUTPUT extends com.google.protobuf.GeneratedMessage>

- java.lang.Object
- - org.apache.mina.codec.delimited.SizePrefixedDecoder<OUTPUT>
  - - org.apache.mina.codec.delimited.ProtobufDecoder<OUTPUT>

All Implemented Interfaces:
  ProtocolDecoder<IoBuffer,OUTPUT,SizePrefixedDecoder.MutableInt>

    public class ProtobufDecoder<OUTPUT extends com.google.protobuf.GeneratedMessage>
    extends SizePrefixedDecoder<OUTPUT>

Decode Protocol Buffer messages of type OUTPUT

Author:
  Apache MINA Project

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.mina.codec.delimited.SizePrefixedDecoder

`SizePrefixedDecoder.MutableInt`

### Constructor Summary

Constructors
Constructor and Description
`ProtobufDecoder(Class<OUTPUT> clazz, com.google.protobuf.ExtensionRegistryLite registry)`

### Method Summary

Methods
`static <L extends com.google.protobuf.GeneratedMessage> ProtobufDecoder<L>` `newInstance(Class<L> clazz)`
`static <L extends com.google.protobuf.GeneratedMessage> ProtobufDecoder<L>` `newInstance(Class<L> clazz, com.google.protobuf.ExtensionRegistryLite registry)`

### Methods inherited from class org.apache.mina.codec.delimited.SizePrefixedDecoder

`createDecoderState, decode, finishDecode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProtobufDecoder

    public ProtobufDecoder(Class<OUTPUT> clazz,
                   com.google.protobuf.ExtensionRegistryLite registry)
                    throws NoSuchMethodException

Throws:
  `NoSuchMethodException`

### Method Detail

#### newInstance

    public static <L extends com.google.protobuf.GeneratedMessage> ProtobufDecoder<L> newInstance(Class<L> clazz,
                                                                                  com.google.protobuf.ExtensionRegistryLite registry)
                                                                                       throws NoSuchMethodException

Throws:
  `NoSuchMethodException`

#### newInstance

    public static <L extends com.google.protobuf.GeneratedMessage> ProtobufDecoder<L> newInstance(Class<L> clazz)
                                                                                       throws NoSuchMethodException

Throws:
  `NoSuchMethodException`